Bug 139244 - Raid partition editing is broken
Raid partition editing is broken
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 07:30 EST by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 16:57:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-11-14 07:30:11 EST
Description of problem:

Trying to reinstall a box I wanted to keep just the partitioning and
mirroring. The automatic partitioner suggested some garbage LVM
arrangement so I told it to hand edit the existing partitions.

Set these up, no problem except it kept telling me about hda5. I have
no hda5, but it seems anaconda invented an hda5 raid volume < 1Mb in
size that it didnt even show itself on the partitions.

Set up raid volumes, excluded the bogus hda5, and carried on to try
and install.
It then blew up trying to set up the partitions. ALT-F2 shows the last
thing it logged was

"reading raid sb failed for hda5"

No suprise there, its a drive that was invented by Anaconda!
Comment 1 Jeremy Katz 2004-11-15 10:19:46 EST
How did it keep telling you about hda5?

What is the output of printing the partition table from within parted?
Comment 2 Alan Cox 2004-11-15 10:33:10 EST
It never showed hda5 in the options you could pick but it claimed the
real hda5 was hda6 (no hda5 shown) and it kept offering it as a volume
when I did "create raid"

The earlier partitions were fc2 created (all but lba area)

0.031 95.976 primary ext3 boot
95.977 8287.945 primary ext3 raid
8287.945 38543.882 primary swap raid
8543.882 38166.679 extended lba
8543.914 8544.867 logical raid
8544.898 38166.679 logical raid

It also reports
"Unable to satisfy all constraints" and "Can't have end before start"
Comment 3 Jeremy Katz 2004-11-15 11:05:33 EST
8543.914 8544.867 logical raid

is the problem -- parted at least is seeing a partition there.  There
are some reports that one of the ramifications of bug 138419 is some
duplicate partition listing.  Can you try the updates.img there which
has a newer libparted and see if that acts a little bit better?
Comment 4 Jeremy Katz 2005-02-01 16:57:03 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.